    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------
    028     * XYAnnotation.java
    029     * -----------------
    030     * (C) Copyright 2002-2005, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: XYAnnotation.java,v 1.4.2.1 2005/10/25 16:51:15 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 28-Aug-2002 : Version 1 (DG);
    040     * 07-Nov-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 13-Jan-2003 : Reviewed Javadocs (DG);
    042     * 09-May-2003 : Added plot to draw() method (DG);
    043     * 02-Jul-2003 : Eliminated the Annotation base interface (DG);
    044     * 29-Sep-2004 : Added 'rendererIndex' and 'info' parameter to draw() method
    045     *               to support chart entities (tool tips etc) (DG);
    046     *
    047     */
    048
    049    package org.jfree.chart.annotations;
    050
    051    import java.awt.Graphics2D;
    052    import java.awt.geom.Rectangle2D;
    053
    054    import org.jfree.chart.axis.ValueAxis;
    055    import org.jfree.chart.plot.PlotRenderingInfo;
    056    import org.jfree.chart.plot.XYPlot;
    057
    058    /**
    059     * The interface that must be supported by annotations that are to be added to
    060     * an {@link XYPlot}.
    061     */
    062    public interface XYAnnotation {
    063
    064        /**
    065         * Draws the annotation.
    066         *
    067         * @param g2  the graphics device.
    068         * @param plot  the plot.
    069         * @param dataArea  the data area.
    070         * @param domainAxis  the domain axis.
    071         * @param rangeAxis  the range axis.
    072         * @param rendererIndex  the renderer index.
    073         * @param info  an optional info object that will be populated with
    074         *              entity information.
    075         */
    076        public void draw(Graphics2D g2, XYPlot plot, Rectangle2D dataArea,
    077                         ValueAxis domainAxis, ValueAxis rangeAxis,
    078                         int rendererIndex,
    079                         PlotRenderingInfo info);
    080
    081    }